use std::error::Error;
use start_db::Starter;
use log::{error, info};
// use serde_json::json;
use tokio;

pub mod word_entity;
pub mod start_db;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    env_logger::init();
    println!("The program is starting.\nIf you want to see the log info,please set env RUST_LOG=info");
    info!("DataBase is starting");
    let db_info = Starter::connect("sqlite://test.db?mode=rwc").await?;

    db_info.create_table().await.unwrap_or_else(|e: Box<dyn Error>|{
        info!("The table have been created. Don't care this Error!!!!!:{}",e);
    });
    word_entity::tests::insert_tests_value(&db_info.conn).await.unwrap_or_else(|e|{
        error!("Cannot write data into database.The details are as follows:\n{}",e);
    });
    
    Ok(())
}
